Home > Informasi, Oprek, Programming > Error saat install Paket PEAR

Error saat install Paket PEAR


Hari ini saya mencoba meginstal paket PEAR “Spreadsheet_Excel_Writer” dan ternyata paket ini begantung pada paket “OLE” tapi pada saat instalasi paket “OLE” terjadi error seperti ini:

Failed to download pear/ole within preferred state “stable”, latest release is version 1.0.0RC1, stability “beta”, use “channel://pear.php.net/ole-1.0.0RC1” to install
Cannot initialize ‘channel://pear.php.net/ole’, invalid or missing package file
Package “channel://pear.php.net/ole” is not valid
install failed

setelah tanya-tanya sana-sana sini-sini, didapatlah 2 cara untuk mengatasi error tersebut, yaitu:

Pertama, perhatikan pesan error yang di dapat, defaultnya PEAR akan mencari paket terakhir yang statusnya sudah stabil sehingga apabila status dari paket tersebut masih Alpha/Beta/RC PEAR tidak akan melanjutkan proses instalasi, tapi pada pesan error tersebut PEAR memberikan solusinya yaitu kita di minta untuk melakukan instalasi langsung ke alamat paketnya di “channel://pear.php.net/ole-1.0.0RC1” sehingga lakukan perintah : $ sudo pear install channel://pear.php.net/ole-1.0.0RC1

Kedua, lakukan modifikasi pada setting status paket default PEAR dengan perintah : $ pear config-set preferred_state beta, sehingga untuk instalasi paket berikutnya apabila status paket tersebut masih beta/RC PEAR akan tetap melanjutkan instalasinya.

Categories: Informasi, Oprek, Programming Tags: , ,
  1. No comments yet.
  1. No trackbacks yet.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: